<html>
    <head>
        <title>App Fórum</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
        <meta name="viewport" content="width=device-width, initial-scale=1">
    </head>
    <body>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
        <h1>Aplicação de Fórum</h1>
        <h2>{% block titulo %}Lista dos Temas Cadastrados{% endblock %}</h2>
        {% if messages %}
           {% for msg in messages %}
              <div class="alert alert-{{ msg.level_tag }}" role="alert">
                  {{ msg.message }}
              </div>
           {% endfor %}
        {% endif %}
        {% block principal %}
        {% endblock %}
        <hr/>
        {% block menu %}
        <a href="{% url 'raiz:index' %}">Lista de Aplicações</a>
        | <a href="{% url 'forum:index' %}">Fórum</a>
        | <a href="{% url 'forum:add_tema' %}">Novo tema</a>
        {% if user.is_authenticated %}
            | Usuário: {{ user.username }}
            (<a href="{% url 'logout' %}?next={{ request.path }}">Logout</a>)
        {% else %}
            | <a href="{% url 'login' %}?next={{ request.path }}">Fazer login</a>
        {% endif %}
        {% endblock %}
    </body>
</html>